
function isInteger(s)
{   var i;
	
    for (i = 0; i < s.length; i++)
    {   
        var c = s.charAt(i);
        if (((c < "0") || (c > "9"))) return false;
    }
    return true;
}
function isEmpty(s)
{   
	if(trim(s) == ""){
		return true;
	}else{
		return false;
	}
}
function isNumber(str) {
isprice = /^\d+\.\d{2}$/;
return isprice.test( str );
}

function ValidAll(checkfor,str)
{
var validarray = new Array();
validarray['ccnumber'] = /^[3-6,8][0-9]{13,16}$/;
validarray['ccexp'] = /^((([1][0-2]|[0]?[1-9])[-\/]|([1][0-2]|[0][1-9]))(\d\d|\d\d\d\d)|0000)$/;
validarray['checkaba'] = /^[0-9]{9}$/;
validarray['checkaccount'] = /^[0-9]+$/;
validarray['amount'] = /^[0-9]+\.[0-9]{2}$/;
validarray['cvv'] = /^[0-9]{3,4}$/;
validarray['shipping'] = /^[0-9]+\.[0-9]{2}$/;
validarray['tax'] = /^[0-9]+\.[0-9]{2}$/;
validarray['firstname'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['lastname'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['company'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['country'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['addr1'] = /^[a-z,A-Z,0-9,\.,\-, ,'_#]*$/;
validarray['addr2'] = /^[a-z,A-Z,0-9,\.,\-, ,'_#]*$/;
validarray['city'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['state'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['zip'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['phone'] = /^[0-9,\-,\.]*$/;
validarray['fax'] = /^[0-9,\-,\.]*$/;
validarray['email'] = /^[a-zA-Z0-9,!#$%&'\*\+\/=\?\^_`\{\|\}~-]+(\.[a-zA-Z0-9,!#$%&'\*\+\/=\?\^_`\{\|\}~-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*\.([a-zA-Z]{2,6})$/;
validarray['url'] = /^([\w$-.+!*'()@:?=&\/;]+)$/;
validarray['shipping_firstname'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['shipping_lastname'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['shipping_company'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['shipping_email'] = /^[a-zA-Z0-9,!#$%&'\*\+\/=\?\^_`\{\|\}~-]+(\.[a-zA-Z0-9,!#$%&'\*\+\/=\?\^_`\{\|\}~-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*\.([a-zA-Z]{2,6})$/;
validarray['shipping_country'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['shipping_addr1'] = /^[a-z,A-Z,0-9,\.,\-, ,'_#]*$/;
validarray['shipping_addr2'] = /^[a-z,A-Z,0-9,\.,\-, ,'_#]*$/;
validarray['shipping_city'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['shipping_state'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;
validarray['shipping_zip'] = /^[a-z,A-Z,0-9,\.,\-, ,'_]*$/;

if (validarray[checkfor].test(str))
return true;
else
return false;
}


function emailCheck(emailStr) {
	/* The following pattern is used to check if the entered e-mail address
	   fits the user@domain format.  It also is used to separate the username
	   from the domain. */
	var emailPat=/^(.+)@(.+)$/
	/* The following string represents the pattern for matching all special
	   characters.  We don't want to allow special characters in the address. 
	   These characters include ( ) < > @ , ; : \ " . [ ]    */
	var specialChars="\\(\\)<>@,;:\\\\\\\"\\.\\[\\]"
	/* The following string represents the range of characters allowed in a 
	   username or domainname.  It really states which chars aren't allowed. */
	var validChars="\[^\\s" + specialChars + "\]"
	/* The following pattern applies if the "user" is a quoted string (in
	   which case, there are no rules about which characters are allowed
	   and which aren't; anything goes).  E.g. "jiminy cricket"@disney.com
	   is a legal e-mail address. */
	var quotedUser="(\"[^\"]*\")"
	/* The following pattern applies for domains that are IP addresses,
	   rather than symbolic names.  E.g. joe@[123.124.233.4] is a legal
	   e-mail address. NOTE: The square brackets are required. */
	var ipDomainPat=/^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/
	/* The following string represents an atom (basically a series of
	   non-special characters.) */
	var atom=validChars + '+'
	/* The following string represents one word in the typical username.
	   For example, in john.doe@somewhere.com, john and doe are words.
	   Basically, a word is either an atom or quoted string. */
	var word="(" + atom + "|" + quotedUser + ")"
	// The following pattern describes the structure of the user
	var userPat=new RegExp("^" + word + "(\\." + word + ")*$")
	/* The following pattern describes the structure of a normal symbolic
	   domain, as opposed to ipDomainPat, shown above. */
	var domainPat=new RegExp("^" + atom + "(\\." + atom +")*$")
	
	
	/* Finally, let's start trying to figure out if the supplied address is
	   valid. */
	
	/* Begin with the coarse pattern to simply break up user@domain into
	   different pieces that are easy to analyze. */
	var matchArray=emailStr.match(emailPat)
	if (matchArray==null) {
	  /* Too many/few @'s or something; basically, this address doesn't
	     even fit the general mould of a valid e-mail address. */
		//alert("Email address seems incorrect (check @ and .'s)")
		return false
	}
	var user=matchArray[1]
	var domain=matchArray[2]
	
	// See if "user" is valid 
	if (user.match(userPat)==null) {
	    // user is not valid
	    alert("The username doesn't seem to be valid.")
	    return false
	}
	
	/* if the e-mail address is at an IP address (as opposed to a symbolic
	   host name) make sure the IP address is valid. */
	var IPArray=domain.match(ipDomainPat)
	if (IPArray!=null) {
	    // this is an IP address
		  for (var i=1;i<=4;i++) {
		    if (IPArray[i]>255) {
		        alert("Destination IP address is invalid!")
			return false
		    }
	    }
	    return true
	}
	
	// Domain is symbolic name
	var domainArray=domain.match(domainPat)
	if (domainArray==null) {
		alert("The Domain Name doesn't seem to be valid.")
	    return false
	}
	
	/* domain name seems valid, but now make sure that it ends in a
	   three-letter word (like com, edu, gov) or a two-letter word,
	   representing country (uk, nl), and that there's a hostname preceding 
	   the domain or country. */
	
	/* Now we need to break up the domain to get a count of how many atoms
	   it consists of. */
	var atomPat=new RegExp(atom,"g")
	var domArr=domain.match(atomPat)
	var len=domArr.length
	if (domArr[domArr.length-1].length<2 || 
	    domArr[domArr.length-1].length>3) {
	   // the address must end in a two letter or three letter word.
	   alert("The address must end in a three-letter domain, or two letter country.")
	   return false
	}
	
	// Make sure there's a host name preceding the domain.
	if (len<2) {
	   var errStr="This E-mail address is missing a hostname!"
	   alert(errStr)

	   return false
	   }
	   // If we've gotten this far, everything's valid!
	return true	   
}
function onBlur_ccnumber(form)
{
	if(isEmpty(form.ccnumber.value) || !ValidAll('ccnumber',form.ccnumber.value))
		{
			alert("Please Enter the Valid Credit Card Number (Card number must be between 13 and 16 characters)");
			form.ccnumber.focus(); 
			document.getElementById('approved_gif_ccnumber').style.display='none';
		    document.getElementById('required_gif_ccnumber').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_ccnumber').style.display='block';
		  document.getElementById('required_gif_ccnumber').style.display='none';
		 return true;
	   }
}


function onBlur_ccexp(form)
{
	if(isEmpty(form.ccexp.value) || !ValidAll('ccexp',form.ccexp.value))
		{
			alert("Please Enter the Valid Expiry Date of Credit Card (mm/yy)");
			form.ccexp.focus(); 
			document.getElementById('approved_gif_ccexp').style.display='none';
		    document.getElementById('required_gif_ccexp').style.display='block';
			return false;
		} 
	else
	  {
		  document.getElementById('approved_gif_ccexp').style.display='block';
		  document.getElementById('required_gif_ccexp').style.display='none';
		  return true;
	   }
}

function onBlur_price(form)
{
	if(isEmpty(form.price.value) || !ValidAll('amount',form.price.value))
		{
			
			alert("Please Enter the Valid Amount (i.e. 10.00).");
			form.price.focus(); 
		    document.getElementById('approved_gif_price').style.display='none';
		    document.getElementById('required_gif_price').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_price').style.display='block';
		  document.getElementById('required_gif_price').style.display='none';
		  return true;
	   }		
}

function onBlur_cvv(form)
{
	if(!isEmpty(form.cvv.value) && !ValidAll('cvv',form.cvv.value))
		{
			
			alert("Please Enter the Valid Card Identifier");
			form.cvv.focus(); 
			document.getElementById('approved_gif_cvv').style.display='none';
			return false;
		}
	else
	   {
		  document.getElementById('approved_gif_cvv').style.display='block';
		  return true;
	   }		
}

function onBlur_shipping(form)
{
	if(!isEmpty(form.shipping.value) && !ValidAll('shipping',form.shipping.value))
		{
			
			alert("Enter a valid shipping amount (i.e. 10.00).");
			form.shipping.focus(); 
			document.getElementById('approved_gif_shipping').style.display='none';
			return false;
		}
	else
	   {
		  document.getElementById('approved_gif_shipping').style.display='block';
		  return true;
	   }		
}
function onBlur_tax(form)
{
	if(!isEmpty(form.tax.value) && !ValidAll('tax',form.tax.value))
		{
			
			alert("Enter a valid Tax amount (i.e. 10.00).");
			form.tax.focus(); 
			document.getElementById('approved_gif_tax').style.display='none';
			return false;
		}
	else
	   {
		  document.getElementById('approved_gif_tax').style.display='block';
		  return true;
	   }		
}


function onBlur_cb_firstname(form)
{
	if(isEmpty(form.cb_firstname.value) || !ValidAll('firstname',form.cb_firstname.value))
		{
			
			if(isEmpty(form.cb_firstname.value))
			alert("Firstname Should not be Empty ");
			else
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Firstname");
			form.cb_firstname.focus(); 
			document.getElementById('approved_gif_cb_firstname').style.display='none';
		    document.getElementById('required_gif_cb_firstname').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_firstname').style.display='block';
		  document.getElementById('required_gif_cb_firstname').style.display='none';
		  return true;
	   }		
}

function onBlur_cb_lastname(form)
{
	if(isEmpty(form.cb_lastname.value) || !ValidAll('lastname',form.cb_lastname.value))
		{
			if(isEmpty(form.cb_lastname.value))
			alert("Lastname Should not be Empty ");
			else
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Lastname");
			form.cb_lastname.focus(); 
			document.getElementById('approved_gif_cb_lastname').style.display='none';
		    document.getElementById('required_gif_cb_lastname').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_lastname').style.display='block';
		  document.getElementById('required_gif_cb_lastname').style.display='none';
		  return true;
	   }		
}

function onBlur_cb_company(form)
{
	if(!isEmpty(form.cb_company.value) && !ValidAll('company',form.cb_company.value))
		{
			
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Company.");
			form.cb_company.focus(); 
			document.getElementById('approved_gif_cb_company').style.display='none';
			return false;
		}
	else
	   {
		  document.getElementById('approved_gif_cb_company').style.display='block';
		  return true;
	   }		
}

function onBlur_cb_address(form)
{
	if(isEmpty(form.cb_address.value) || !ValidAll('addr1',form.cb_address.value))
		{
			if(isEmpty(form.cb_address.value))
			alert("Address Field Should not be Empty");
			else
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), hash (#),and spaces for Address.");
			form.cb_address.focus(); 
		    document.getElementById('approved_gif_cb_address').style.display='none';
		    document.getElementById('required_gif_cb_address').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_address').style.display='block';
		  document.getElementById('required_gif_cb_address').style.display='none';
		  return true;
	   }		
}

function onBlur_cb_address_cont(form)
{
	if(!isEmpty(form.cb_address_cont.value) && !ValidAll('addr2',form.cb_address_cont.value))
		{
			
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), hash (#),and spaces for Address(Cont).");
			form.cb_address_cont.focus(); 
			document.getElementById('approved_gif_cb_address_cont').style.display='none';
			return false;
		}
	else
	   {
		  document.getElementById('approved_gif_cb_address_cont').style.display='block';
		  return true;
	   }		
}

function onBlur_cb_city(form)
{
	if(isEmpty(form.cb_city.value) || !ValidAll('city',form.cb_city.value))
		{
			if(isEmpty(form.cb_city.value))
			alert("City Should not be Empty");
			else
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for City.");
			form.cb_city.focus(); 
			document.getElementById('approved_gif_cb_city').style.display='none';
		    document.getElementById('required_gif_cb_city').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_city').style.display='block';
		  document.getElementById('required_gif_cb_city').style.display='none';
		  return true;
	   }		
}

function onBlur_cb_state(form)
{
	if(isEmpty(form.cb_state.value) || !ValidAll('state',form.cb_state.value))
		{
			if(isEmpty(form.cb_state.value))
			alert("State Should not be Empty");
			else
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for State.");
			form.cb_state.focus(); 
			document.getElementById('approved_gif_cb_state').style.display='none';
		    document.getElementById('required_gif_cb_state').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_state').style.display='block';
		  document.getElementById('required_gif_cb_state').style.display='none';
		  return true;
	   }		
}

function onBlur_cb_zip(form)
{
	if(isEmpty(form.cb_zip.value) || !ValidAll('zip',form.cb_zip.value))
		{
			if(isEmpty(form.cb_zip.value))
			alert("Zip Should not be Empty");
			else
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Zip.");
			form.cb_zip.focus(); 
			document.getElementById('approved_gif_cb_zip').style.display='none';
		    document.getElementById('required_gif_cb_zip').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_zip').style.display='block';
		  document.getElementById('required_gif_cb_zip').style.display='none';
		  return true;
	   }		
}

function onBlur_cb_phone(form)
{
	if(isEmpty(form.cb_phone.value) || !ValidAll('phone',form.cb_phone.value))
		{
			if(isEmpty(form.cb_phone.value))
			alert("Phone Should not be Empty");
			else
			alert("Please Provide the Valid Phone Number");
			form.cb_phone.focus(); 
			document.getElementById('approved_gif_cb_phone').style.display='none';
		    document.getElementById('required_gif_cb_phone').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_phone').style.display='block';
		  document.getElementById('required_gif_cb_phone').style.display='none';
		  return true;
	   }		
}

function onBlur_cb_fax(form)
{
	if(!isEmpty(form.cb_fax.value) && !ValidAll('fax',form.cb_fax.value))
		{
			
			alert("Please Provide the Valid Fax Number");
			form.cb_fax.focus(); 
			document.getElementById('approved_gif_cb_fax').style.display='none';
			return false;
		}
	else
	   {
		  document.getElementById('approved_gif_cb_fax').style.display='block';
		  return true;
	   }		
}

function onBlur_cb_email(form)
{
	if(isEmpty(form.cb_email.value) || !ValidAll('email',form.cb_email.value))
		{
			if(isEmpty(form.cb_email.value))
			alert("Email Should not be Empty");
			else
			alert("Please Provide the Valid Email Address");
			form.cb_email.focus(); 
			document.getElementById('approved_gif_cb_email').style.display='none';
		    document.getElementById('required_gif_cb_email').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_email').style.display='block';
		  document.getElementById('required_gif_cb_email').style.display='none';
		  return true;
	   }		
}

function onBlur_cb_website(form)
{
	if(!isEmpty(form.cb_website.value) && !ValidAll('url',form.cb_website.value))
		{
			alert("Please enter a valid Website url (ie. http://www.example.org/index.html).");
			form.cb_website.focus(); 
			document.getElementById('approved_gif_cb_website').style.display='none';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_website').style.display='block';
		  return true;
	   }		
}


function onBlur_sa_firstname(form)
{
	if(!isEmpty(form.sa_firstname.value) && !ValidAll('shipping_firstname',form.sa_firstname.value))
		{
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Shipping Firstname");
			form.sa_firstname.focus(); 
			document.getElementById('approved_gif_sa_firstname').style.display='none';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_sa_firstname').style.display='block';
		  return true;
	   }		
}

function onBlur_sa_lastname(form)
{
	if(!isEmpty(form.sa_lastname.value) &&  !ValidAll('shipping_lastname',form.sa_lastname.value))
		{
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Shipping Lastname");
			form.sa_lastname.focus(); 
			document.getElementById('approved_gif_sa_lastname').style.display='none';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_sa_lastname').style.display='block';
		  return true;
	   }		
}

function onBlur_sa_company(form)
{
	if(!isEmpty(form.sa_company.value) && !ValidAll('shipping_company',form.sa_company.value))
		{
			
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Shipping Company.");
			form.sa_company.focus(); 
			document.getElementById('approved_gif_sa_company').style.display='none';
			return false;
		}
	else
	   {
		  document.getElementById('approved_gif_sa_company').style.display='block';
		  return true;
	   }		
}

function onBlur_sa_address(form)
{
	if(!isEmpty(form.sa_address.value) && !ValidAll('shipping_addr1',form.sa_address.value))
		{
			
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), hash (#),and spaces for Shipping Address.");
			form.sa_address.focus(); 
			document.getElementById('approved_gif_sa_address').style.display='none';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_sa_address').style.display='block';
		  return true;
	   }		
}

function onBlur_sa_address_cont(form)
{
	if(!isEmpty(form.sa_address_cont.value) && !ValidAll('shipping_addr2',form.sa_address_cont.value))
		{
			
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), hash (#),and spaces for Shipping Address(Cont).");
			form.sa_address_cont.focus(); 
			 document.getElementById('approved_gif_sa_address_cont').style.display='none';
			return false;
		}
	else
	   {
		  document.getElementById('approved_gif_sa_address_cont').style.display='block';
		  return true;
	   }		
}

function onBlur_sa_city(form)
{
	if(!isEmpty(form.sa_city.value) && !ValidAll('shipping_city',form.sa_city.value))
		{
			
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Shipping City.");
			form.sa_city.focus(); 
			 document.getElementById('approved_gif_sa_city').style.display='none';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_sa_city').style.display='block';
		  return true;
	   }		
}

function onBlur_sa_state(form)
{
	if(!isEmpty(form.sa_state.value) && !ValidAll('shipping_state',form.sa_state.value))
		{
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Shipping State.");
			form.sa_state.focus(); 
        	document.getElementById('approved_gif_cb_state').style.display='none';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_cb_state').style.display='block';
		  return true;
	   }		
}

function onBlur_sa_zip(form)
{
	if(!isEmpty(form.sa_zip.value) && !ValidAll('shipping_zip',form.sa_zip.value))
		{
			
			alert("Allowed characters: A-Z, 0-9, period (.), dash (-), and spaces for Shipping Zip.");
			form.sa_zip.focus(); 
			document.getElementById('approved_gif_sa_zip').style.display='none';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_sa_zip').style.display='block';
		  return true;
	   }		
}

function onBlur_sa_email(form)
{
	if(!isEmpty(form.sa_email.value) && !ValidAll('email',form.sa_email.value))
		{
			
			alert("Please Provide the Valid Shipping Email Address");
			form.sa_email.focus(); 
			document.getElementById('approved_gif_sa_email').style.display='none';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_sa_email').style.display='block';
		  return true;
	   }		
}
function onBlur_transaction_id(form)
{
	if(isEmpty(form.transaction_id.value) || !isInteger(form.transaction_id.value))
	{
		alert("Please Enter the Valid Transaction ID");
		form.transaction_id.focus(); 
	    document.getElementById('approved_gif_transaction_id').style.display='none';
   	    document.getElementById('required_gif_transaction_id').style.display='block';
		return false;
	}
	else
	  {
		  document.getElementById('approved_gif_transaction_id').style.display='block';
		  document.getElementById('required_gif_transaction_id').style.display='none';
		  return true;
	   }		
}

function onBlur_name_on_account(form)
{
	if(isEmpty(form.name_on_account.value))
	{
		alert("Please Provide the Name on Account");
		form.name_on_account.focus(); 
	    document.getElementById('approved_gif_name_on_account').style.display='none';
   	    document.getElementById('required_gif_name_on_account').style.display='block';
		return false;
	}
	else
	  {
		  document.getElementById('approved_gif_name_on_account').style.display='block';
		  document.getElementById('required_gif_name_on_account').style.display='none';
		  return true;
	   }		
}

function onBlur_routing(form)
{
	if(isEmpty(form.routing.value) || !ValidAll('checkaba',form.routing.value))
		{
			if(isEmpty(form.routing.value))
			alert("Please Enter the Routing / ABA Number");
			else
			alert("Please Enter the Valid Routing / ABA Number");
			form.routing.focus(); 
			document.getElementById('approved_gif_routing').style.display='none';
		    document.getElementById('required_gif_routing').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_routing').style.display='block';
		  document.getElementById('required_gif_routing').style.display='none';
		  return true;
	   }		
}

function onBlur_account_number(form)
{
	if(isEmpty(form.account_number.value) || !ValidAll('checkaccount',form.account_number.value))
		{
			if(isEmpty(form.account_number.value))
			alert("Please Enter the Account Number");
			else
			alert("Please Enter the Valid Account Number");
			form.account_number.focus(); 
			document.getElementById('approved_gif_account_number').style.display='none';
		    document.getElementById('required_gif_account_number').style.display='block';
			return false;
		}
	else
	  {
		  document.getElementById('approved_gif_account_number').style.display='block';
		  document.getElementById('required_gif_account_number').style.display='none';
		  return true;
	   }		
}

function validation_saleEC(form)
{
	if(!onBlur_name_on_account(form))
	{ return false; }
	
	if(!onBlur_routing(form))
	{ return false; }
	
	if(!onBlur_account_number(form))
	{ return false; }
	
	if(!onBlur_price(form))
	{ return false; }
	
	if(!onBlur_shipping(form))
	{ return false; }
	
	if(!onBlur_tax(form))
	{ return false; }
	
	if(!onBlur_cb_firstname(form))
	{ return false; }
	
	if(!onBlur_cb_lastname(form))
	{ return false; }
	
	if(!onBlur_cb_company(form))
	{ return false; }
	
	if(!onBlur_cb_address(form))
	{ return false; }
	
	if(!onBlur_cb_address_cont(form))
	{ return false; }
	
	if(!onBlur_cb_city(form))
	{ return false; }
	
	if(!onBlur_cb_state(form))
	{ return false; }
	
	if(!onBlur_cb_zip(form))
	{ return false; }
	
	if(!onBlur_cb_phone(form))
	{ return false; }

   if(!onBlur_cb_fax(form))
	{ return false; }

   if(!onBlur_cb_email(form))
	{ return false; }
	
	if(!onBlur_cb_website(form))
	{ return false; }
	
	
	if(!onBlur_sa_firstname(form))
	{ return false; }
	
	if(!onBlur_sa_lastname(form))
	{ return false; }
	
	if(!onBlur_sa_company(form))
	{ return false; }
	
	if(!onBlur_sa_email(form))
	{ return false; }
	
	if(!onBlur_sa_address(form))
	{ return false; }
	
	if(!onBlur_sa_address_cont(form))
	{ return false; }

   if(!onBlur_sa_city(form))
	{ return false; }

   if(!onBlur_sa_state(form))
	{ return false; }
	
	if(!onBlur_sa_zip(form))
	{ return false; }
	
return true;
}

function validation_sale(form)
{
	
	if(!onBlur_ccnumber(form))
	{ return false; }
	
	if(!onBlur_ccexp(form))
	{ return false; }
	
	if(!onBlur_price(form))
	{ return false; }
	
	if(!onBlur_cvv(form))
	{ return false; }
	
	if(!onBlur_shipping(form))
	{ return false; }
	
	if(!onBlur_tax(form))
	{ return false; }
	
	if(!onBlur_cb_firstname(form))
	{ return false; }
	
	if(!onBlur_cb_lastname(form))
	{ return false; }
	
	if(!onBlur_cb_company(form))
	{ return false; }
	
	if(!onBlur_cb_address(form))
	{ return false; }
	
	if(!onBlur_cb_address_cont(form))
	{ return false; }
	
	if(!onBlur_cb_city(form))
	{ return false; }
	
	if(!onBlur_cb_state(form))
	{ return false; }
	
	if(!onBlur_cb_zip(form))
	{ return false; }
	
	if(!onBlur_cb_phone(form))
	{ return false; }

   if(!onBlur_cb_fax(form))
	{ return false; }

   if(!onBlur_cb_email(form))
	{ return false; }
	
	if(!onBlur_cb_website(form))
	{ return false; }
	
	
	if(!onBlur_sa_firstname(form))
	{ return false; }
	
	if(!onBlur_sa_lastname(form))
	{ return false; }
	
	if(!onBlur_sa_company(form))
	{ return false; }
	
	if(!onBlur_sa_email(form))
	{ return false; }
	
	if(!onBlur_sa_address(form))
	{ return false; }
	
	if(!onBlur_sa_address_cont(form))
	{ return false; }

   if(!onBlur_sa_city(form))
	{ return false; }

   if(!onBlur_sa_state(form))
	{ return false; }
	
	if(!onBlur_sa_zip(form))
	{ return false; }
	
	
return true;
}

function validation_auth(form)
{
	
	
	if(!onBlur_ccnumber(form))
	{ return false; }
	
	if(!onBlur_ccexp(form))
	{ return false; }
	
	if(!onBlur_price(form))
	{ return false; }
	
	if(!onBlur_cvv(form))
	{ return false; }
	
	if(!onBlur_shipping(form))
	{ return false; }
	
	if(!onBlur_tax(form))
	{ return false; }
	
	if(!onBlur_cb_firstname(form))
	{ return false; }
	
	if(!onBlur_cb_lastname(form))
	{ return false; }
	
	if(!onBlur_cb_company(form))
	{ return false; }
	
	if(!onBlur_cb_address(form))
	{ return false; }
	
	if(!onBlur_cb_address_cont(form))
	{ return false; }
	
	if(!onBlur_cb_city(form))
	{ return false; }
	
	if(!onBlur_cb_state(form))
	{ return false; }
	
	if(!onBlur_cb_zip(form))
	{ return false; }
	
	if(!onBlur_cb_phone(form))
	{ return false; }

   if(!onBlur_cb_fax(form))
	{ return false; }

   if(!onBlur_cb_email(form))
	{ return false; }
	
	if(!onBlur_cb_website(form))
	{ return false; }
	
	
	if(!onBlur_sa_firstname(form))
	{ return false; }
	
	if(!onBlur_sa_lastname(form))
	{ return false; }
	
	if(!onBlur_sa_company(form))
	{ return false; }
	
	if(!onBlur_sa_email(form))
	{ return false; }
	
	if(!onBlur_sa_address(form))
	{ return false; }
	
	if(!onBlur_sa_address_cont(form))
	{ return false; }

   if(!onBlur_sa_city(form))
	{ return false; }

   if(!onBlur_sa_state(form))
	{ return false; }
	
	if(!onBlur_sa_zip(form))
	{ return false; }
		
return true;
}

function validation_capt(form)
{
  if(!onBlur_transaction_id(form))
	{ return false;	}
   
   if(!onBlur_price(form))
	{ return false;	}
		
	
return true;
}

function validation_void(form)
{
	if(!onBlur_transaction_id(form))
	{ return false;	}
	
return true;
}

function validation_refund(form)
{
	if(!onBlur_transaction_id(form))
	{ return false;	}
   
   if(!onBlur_price(form))
	{ return false;	}
		
	return true;
}


function validation_voidEC(form)
{
	if(!onBlur_transaction_id(form))
	{ return false;	}
	
return true;
}

function validation_refundEC(form)
{
	
	if(!onBlur_transaction_id(form))
	{ return false;	}
   
   if(!onBlur_price(form))
	{ return false;	}
		
	return true;
}

function oncheck(form)
{
	if(form.same_as_cb.checked== true)
	{
		form.sa_firstname.value=form.cb_firstname.value;
		form.sa_lastname.value=form.cb_lastname.value;
		form.sa_company.value=form.cb_company.value;
		form.sa_country.selectedIndex=form.cb_country.selectedIndex;
		form.sa_address.value=form.cb_address.value;
		form.sa_address_cont.value=form.cb_address_cont.value;
		form.sa_city.value=form.cb_city.value;
		form.sa_state.value=form.cb_state.value;
		form.sa_zip.value=form.cb_zip.value;
		form.sa_email.value=form.cb_email.value;
	}
	else
	{
		form.sa_firstname.value="";
		form.sa_lastname.value="";
		form.sa_company.value="";
		form.sa_country.selectedIndex="";
		form.sa_address.value="";
		form.sa_address_cont.value="";
		form.sa_city.value="";
		form.sa_state.value="";
		form.sa_zip.value="";
		form.sa_email.value="";	
	}
}
function related(form,action)
{
	var related_to=form.related_to.value;
	
	//alert(related_to);
	window.location.href='index.php?module=Payments&action='+action+'&return_module=PA_Payment&return_action='+action+'&related_to='+related_to;
	
//	ahahscript.ahah('change_call.php?change_call='+related_to, 'change_call', '', 'GET', 'this');
/*var account_show=document.getElementById('account_show').innerHTML;
alert(account_show);
var contact_show=document.getElementById('contact_show').innerHTML;
alert(contact_show);
var oppor_show=document.getElementById('oppor_show').innerHTML;
alert(oppor_show);
	switch(related_to)
	{
		
	 case "Accounts":
	//  document.getElementById('account_show').style.display='block';
	//  document.getElementById('contact_show').style.display='none';
	  document.getElementById('sample_show').innerHTML=account_show;
	 // document.getElementById('oppor_show').style.display='none';
	 // document.getElementById('oppor_show').innerHTML="";
	  form.reports_to_name.value="";
	  form.reports_to_id.value="";
	  alert("ithe: Accounts");
	 break;
	 case "Contacts":
	  document.getElementById('sample_show').innerHTML=contact_show;
	/* document.getElementById('account_show').style.display='none';
	 document.getElementById('account_show').innerHTML="";
	 document.getElementById('contact_show').style.display='block';
	 document.getElementById('contact_show').disabled=false;
	 document.getElementById('oppor_show').style.display='none';
	 document.getElementById('oppor_show').innerHTML="";
	 form.reports_to_name.value="";
	  form.reports_to_id.value="";
	  alert("ithe: contacts");
	 break;
	 case "Opportunities":
	 document.getElementById('sample_show').innerHTML=oppor_show;
	 document.getElementById('account_show').style.display='none';
	 document.getElementById('account_show').innerHTML="";
	 document.getElementById('contact_show').style.display='none';
	 document.getElementById('contact_show').innerHTML="";
	 document.getElementById('oppor_show').style.display='block';
	 document.getElementById('oppor_show').disabled=false;
	 form.reports_to_name.value="";
	  form.reports_to_id.value="";
	  alert("ithe: Opportunities");
	 break;
	 default :
	 document.getElementById('sample_show').innerHTML=account_show;
	document.getElementById('account_show').style.display='block';
	  document.getElementById('contact_show').style.display='none';
	  document.getElementById('oppor_show').style.display='none';
	  form.reports_to_name.value="";
	  form.reports_to_id.value="";
	  alert("ithe: Accounts");
	 break;
	 
}*/	

}
function addvault()
{
    if(document.getElementById('add_vault').checked)
    document.getElementById('vault_id_block').style.display="inline";
    else
    document.getElementById('vault_id_block').style.display="none";

}
function validation_saleCV(form)
{

   if(!onBlur_price(form))
    { return false; }
    return true;
}
function validation_updateCV(form)
{
    if(!onBlur_ccnumber(form))
    { return false; }

    if(!onBlur_ccexp(form))
    { return false; }
}
function show_billing()
{
    if(document.getElementById('billing').checked)
    document.getElementById('billing_block').style.display="inline";
    else
    document.getElementById('billing_block').style.display="none";
}
function countPlan()
{
    var ctr = 0;
    var mctr = 5; /* this is the maximum number of options you want selected */
    for (var i=0; i<document.getElementById('product_sku').length; i++)
    {
        if (document.getElementById('product_sku').options[i].selected==true)
            ctr++;
    }
    document.getElementById('plan_count').value=ctr;
    if (ctr>mctr)
    {
        alert("You have selected too many options, only " + mctr + " are permitted.");
        return false;
    }
    return true;
}

